Sun Jun 14 14:50:00 UTC 2009  Andre Klapper  <a9016009@gmx.de>
	* libnotify/notification.c:
	  - Remove deprecated GLib symbols.

========================= 0.4.5 =========================

Thu Nov 20 03:16:53 PST 2008  Christian Hammond <chipx86@chipx86.com>

	* docs/reference/tmpl/notification.sgml:
	* ChangeLog:
	* configure.ac:
	* NEWS:
	  - Bump to version 0.4.5.

Thu Sep 25 18:45:41 PDT 2008  Christian Hammond <chipx86@chipx86.com>

	* libnotify/notification.c:
	* libnotify/notification.h:
	  - Prevent a backwards-compatibility breakage introduced where the
	    "reason" code was added to the "closed" signal. This meant that
	    existing signal handlers that passed extra data would break. We now
	    require that you call notify_notification_get_closed_reason() to get
	    this data.

Thu Sep 25 18:05:38 PDT 2008  Christian Hammond <chipx86@chipx86.com>

	* libnotify/notification.h:
	* NEWS:
	  - Fixed a breakage where we were including gtkversion.h directly.
	    Reported by Richard Hughes.

Tue Mar 18 21:51:32 PDT 2008  Christian Hammond <chipx86@chipx86.com>

	* libnotify/notification.c:
	* libnotify/notification.h:
	* libnotify/notify.c:
	* libnotify/notify-marshal.list:
	* NEWS:
	  - Add support for sending the closed reason in the signal handler.
	    Closes ticket #139.

Sat Aug 25 18:08:01 PDT 2007  Christian Hammond <chipx86@chipx86.com>

	* tools/notify-send.c:
	  - Relicense notify-send under the LGPL in order to keep licensing
	    simple and to allow reuse in more projects. Fixes bug #124.

Sun Apr 29 02:45:20 PDT 2007  Christian Hammond <chipx86@chipx86.com>

	* configure.ac:
	  - Bump to version 0.4.4.90.

Sun Apr 29 00:39:32 PDT 2007  Christian Hammond <chipx86@chipx86.com>

	* docs/reference/tmpl/notification.sgml:
	* libnotify/notification.c:
	  - Patch by Lucas Rocha to add GObject property accessors for
	    notification IDs.

========================= 0.4.4 =========================

Tue Feb 27 21:11:36 PST 2007  Christian Hammond <chipx86@chipx86.com>

	* NEWS:
	* configure.ac:
	  - Bump to version 0.4.4.

Thu Feb 15 03:10:39 PST 2007  Christian Hammond <chipx86@chipx86.com>

	* NEWS:
	  - Update with all the fixes in this release.

Thu Feb 15 02:44:16 PST 2007  Christian Hammond <chipx86@chipx86.com>

	* libnotify/notification.c:
	  - Prevent a crash when the handler for a notification's closed signal
	    removes the last reference to the notification. We attempted to set
	    the ID of the notification after emitting this signal, but the
	    notification was destroyed already. So, keep a reference while doing
	    all this. This fixes bug #116.

Thu Feb 15 02:29:01 PST 2007  Christian Hammond <chipx86@chipx86.com>

	* libnotify/notify.c:
	  - Get rid of format_func.

Thu Feb 15 02:06:11 PST 2007  Christian Hammond <chipx86@chipx86.com>

	* libnotify/notification.c:
	  - Fix some memory leaks when appending data to a message. Scary,
	    horrible, traumatizing memory leaks. Actually it's pretty bad,
	    though, so new release coming up soon. This fixes bug #112.

Thu Feb 15 01:58:52 PST 2007  Christian Hammond <chipx86@chipx86.com>

	* tests/test-image.c:
	  - Use a more common (I hope) icontheme icon for the test.

Thu Feb 15 00:52:56 PST 2007  Christian Hammond <chipx86@chipx86.com>

	* libnotify/notification.c:
	  - Fix a bug in notify_notification_add_action where the function
	    to free the user data was never called, causing memory leaks.
	    This fixes bug #119.

Mon Nov 13 23:42:07 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* tests/Makefile.am:
	A tests/test-size-changes.c:
	* tests/test-default-action.c:
	  - Added a test program that displays three notifications and then
	    changes the amount of text in one of them.

Sun Nov 05 12:06:01 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libnotify/notify.c:
	  - Patch by Giacomo Lozito to fix a problem where the dbus proxy was
	    not being freed on notify_uninit, which led to problems when libnotify
	    was used in a loadable module. This fixes bug #92.

Sun Nov 05 11:54:10 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* configure.ac:
	* NEWS:
	  - Bump to version 0.4.3.90.

Sun Nov 05 11:50:44 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libnotify/notification.c:
	  - Patch by jylefort to only reset a notification's ID to 0 if it
	    was the notification closed. This fixes bug #94.

========================= 0.4.3 =========================

Sun Oct 08 13:21:20 EDT 2006  Christian Hammond <chipx86@chipx86.com>

	* configure.ac:
	* NEWS:
	  - Bump the version to 0.4.3.
	  - Add the release datestamp.

Sun Sep 03 23:48:29 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libnotify/notification.c:
	* NEWS:
	  - Patch by lucasr to fix an invalid assertion in
	    notify_notification_new_with_status_icon. This closes bug #85.

Sun Sep 03 23:44:01 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libnotify/notify.c:
	* NEWS:
	  - Patch by berndth to stop using g_atexit, as this can fail in the
	    case of a dynamically loaded module. Applications should now call
	    notify_uninit() on exit or on plugin unload. This closes bug #86.

Mon Jul 31 19:40:10 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libnotify/notification.c:
	  - Emit the property change notification for "status-icon" and not
	    "attach-icon". This closes bug #81.

Sat Jul 29 03:02:18 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libnotify/notification.c:
	  - Patch by Ed Catmur to reset a notification's ID if
	    notify_notification_show() is called on a notification that had
	    already been closed. This causes the notification to receive a new
	    ID. This closes ticket #78.

Thu Jul 13 00:44:29 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* configure.ac:
	  - Patch by compnerd to check for glib 2.6+ during configure, as that
	    is now required. This closes ticket #69.

Thu Jul 13 00:41:16 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libnotify/notification.c:
	* AUTHORS:
	* configure.ac:
	  - Patch by mderezynski to send an array of UCHARs as expected by
	    notification-daemon rather than an array of CHARs. This closes
	    ticket #68.
	  - Bump to version 0.4.2.90.

========================= 0.4.2 =========================

Sat Jun 17 19:17:05 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libnotify/internal.h:
	* libnotify/notify.h:
	* configure.ac:
	  - Add G_BEGIN_DECLS and G_END_DECLS to notify.h, so that libnotify can
	    be used in C++ applications properly.
	  - Bump to version 0.4.2.

========================= 0.4.1 =========================

Sat Jun 17 18:17:28 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* Makefile.am:
	* NEWS:
	D libnotify.spec.in:
	* configure.ac:
	  - Fix make distcheck and remove the old RPM spec file.
	  - Update the news.
	  - Bump the version to 0.4.1.

Thu Jun 15 02:14:14 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libnotify/notification.c:
	  - Fix a build error on gtk 2.9.2+. This fixes bug #65.

Tue Jun 06 12:44:48 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* docs/reference/tmpl/notification.sgml:
	* libnotify/notification.h:
	  - Small random fixes.

Tue Jun 06 01:45:46 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* docs/reference/libnotify-docs.sgml:
	* docs/reference/tmpl/libnotify-docs.sgml:
	  - Fix up some references to files.

Tue Jun 06 01:29:20 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* docs/reference/libnotify-sections.txt:
	* docs/reference/tmpl/notification.sgml:
	* docs/reference/tmpl/notify.sgml:
	* libnotify/notification.c:
	* libnotify/notification.h:
	  - Provide more documentation.

Tue Jun 06 00:27:50 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* docs/reference/tmpl/notification.sgml:
	* libnotify/notification.c:
	* libnotify/notification.h:
	  - Update notify_notification_set_geometry_hints() to take a x, y
	    instead of a GdkRectangle. We don't need the width and height
	    information.

Tue Jun 06 00:14:00 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	A docs/reference/libnotify-docs.sgml:
	A docs/reference/libnotify-overrides.txt:
	A docs/reference/libnotify-sections.txt:
	A docs/reference/tmpl:
	A docs/reference/tmpl/libnotify-docs.sgml:
	A docs/reference/tmpl/libnotify-unused.sgml:
	A docs/reference/tmpl/notification.sgml:
	A docs/reference/tmpl/notify.sgml:
	A docs/reference/Makefile.am:
	A docs/Makefile.am:
	* libnotify/notification.c:
	* libnotify/notification.h:
	* libnotify/notify.c:
	D Doxyfile.in:
	* Makefile.am:
	* autogen.sh:
	* configure.ac:
	  - Add some gtk-doc documentation.

Sun Jun 04 17:44:27 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libnotify/notification.c:
	* libnotify/notification.h:
	  - Patch by chpe to add support for using the new GtkStatusIcon in
	    GTK+ 2.9.x. These functions are #ifdef'd to only be provided in
	    supported versions of GTK. The patch also added support for GObject
		properties on the NotifyNotification objects. This closes ticket #60.

Sun Jun 04 16:12:05 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libnotify/notify.c:
	  - Set _initted to FALSE in notify_uninit(), so that notify_is_initted()
	    won't return TRUE.

Fri Jun 02 15:56:05 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* AUTHORS:
	* configure.ac:
	* libnotify.pc.in:
	  - Improve libnotify.pc by pushing dependencies into Requires: instead of
	    Cflags: and Libs:. This closes ticket #58.
	  - Bump the version to 0.4.0.90.

========================= 0.4.0 =========================

Wed Apr 26 01:15:20 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* tests/Makefile.am:
	  - Bundle applet-critical.png.

Wed Apr 26 01:07:34 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* tests/test-replace.c:
	  - Set the second, replaced notification to have a default expiration.

Tue Apr 25 23:52:42 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libnotify/Makefile.am:
	* libnotify/notify.h:
	* NEWS:
	* configure.ac:
	  - Add GTypes for the enums.
	  - Bump to version 0.4.0.

Fri Apr 21 15:35:40 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* tools/notify-send.c:
	  - Use fprintf instead of g_warning.

Fri Apr 21 14:38:04 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* AUTHORS:
	  - Add some names to the patch writers list.

Fri Apr 21 14:35:30 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* tests/test-server-info.c:
	* NEWS:
	  - Patch by jensgr to fix some C99 usage in the tests code.

Fri Apr 21 14:21:47 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* tools/Makefile.am:
	* tools/notify-send.c:
	* NEWS:
	* configure.ac:
	  - Patch by M.S. to switch notify-send to use GOption instead of popt,
	    to add -v, --version, -h, and --hint options, and to rename
	    -T, --type to -c, --category. This also fixes assertions when calling
	    notify-send "". This closes ticket #41.

Mon Mar 20 14:12:15 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* tools/notify-send.c:
	  - Change the help for notify-send to indicate that --expire-timeout
	    requires milliseconds, not seconds. This fixes bug #28.
	  - Fixed the short flag for --type to be -T. This fixes bug #18.

Sat Mar 18 14:47:53 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* tools/notify-send.c:
	  - Fix notify-send on PPC.

Sat Feb 04 17:18:38 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libnotify/notification.c:
	  - Don't complain about an unknown action when the action is "default"

Sat Feb 04 13:29:22 PST 2006  Christian Hammond <chipx86@chipx86.com>

	A tests/test-xy-actions.c:
	* tests/Makefile.am:
	  - Add test-xy-actions.

Sat Feb 04 12:41:03 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* tests/test-multi-actions.c:
	  - Running out of disk space is a critical notification. Set the
	    urgency level in test-multi-actions.

Sat Feb 04 02:04:13 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* tests/test-urgency.c:
	  - It's a good thing to actually set the urgency levels in the
	    urgency test.

Sat Feb 04 01:47:00 PST 2006  Christian Hammond <chipx86@chipx86.com>

	A tests/test-urgency.c:
	* tests/Makefile.am:
	  - Add a test-urgency testcase.

Sun Jan 29 13:26:31 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* Doxyfile.in:
	* libnotify/notification.c:
	* libnotify/notification.h:
	  - More Doxygen happiness. Still no NotifyNotification docs yet though.

Sun Jan 29 13:17:43 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libnotify/notify.h:
	  - Make Doxygen happy.

========================= 0.3.2 =========================

Mon Jan 23 01:31:59 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libnotify/notification.h:
	  - Removed notify_notification_{ref,unref} from notification.h.

Mon Jan 23 01:30:45 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libnotify/Makefile.am:
	  - Make distcheck happy.

Mon Jan 23 01:20:36 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* docs/ChangeLog:
	* NEWS:
	* configure.ac:
	  - Bumped the version to 0.3.2.
	  - Added news.

Mon Jan 23 01:10:23 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libnotify/internal.h:
	* libnotify/notification.c:
	* libnotify/notify.c:
	* tests/test-replace-widget.c:
	  - Make a best attempt at clearing away notifications that require
	    actions or that exist until clicked when the calling application
	    exits. This doesn't always work.

Sun Jan 22 23:46:27 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* docs/notification-spec.xml:
	  - Fix some errors in the spec file. Some pieces were not updated when
	    the specification was changed, and some pieces were invalid XML.

Sun Jan 22 13:21:52 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libnotify/notification.c:
	  - Raw images are broken in D-BUS versions less than 0.60. Don't crash
	    under this case, and warn the user.

Sat Jan 21 00:37:03 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libnotify/internal.h:
	* libnotify/notification.c:
	* libnotify/notify.c:
	* tests/test-image.c:
	  - Use one D-BUS connection, one GProxy, total. This is better than the
	    one per notification, and fixes a few bugs.

Fri Jan 20 20:49:31 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libnotify/notify.c:
	  - Some small code cleanups.

Fri Jan 20 02:19:29 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libnotify/notification.c:
	* libnotify/notification.h:
	* tests/test-basic.c:
	* tools/notify-send.c:
	  - Remove notify_notification_show_and_forget(). It's less confusing to
	    have one show function, and require that the user unref. It also
	    simplifies the code quite a bit.

Fri Jan 20 02:10:50 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libnotify/notification.c:
	* libnotify/notification.h:
	* tests/test-default-action.c:
	* tests/test-multi-actions.c:
	  - Implement per-action user data.

Fri Jan 20 01:59:26 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* docs/notification-spec.xml:
	* libnotify/notification.c:
	* libnotify/notification.h:
	* tests/test-default-action.c:
	* tests/test-image.c:
	* tests/test-multi-actions.c:
	* tools/notify-send.c:
	  - Fix some weird argument ordering in the calls to
	    dbus_g_proxy_call_*().
	  - Re-order the arguments as per the spec.
	  - Change NOTIFY_TIMEOUT_* to NOTIFY_EXPIRES_*.
	  - Update the spec to 0.9.

Fri Jan 20 01:37:42 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libnotify/notification.c:
	* libnotify/notification.h:
	* libnotify/notify.c:
	  - Clean up a lot of the API. Several functions returned gboolean when
	    there was very little point in doing so.
	  - Add assertions to all the functions.
	  - Remove the notify_notification_{set,get}_user_data() functions. These
	    are useless, since this is a GObject, and we get it for free.

Thu Jan 19 22:07:41 PST 2006  Christian Hammond <chipx86@chipx86.com>

	A libnotify/internal.h:
	A libnotify/notification.c:
	A libnotify/notification.h:
	D libnotify/notifycommon.h:
	D libnotify/notifynotification.c:
	D libnotify/notifynotification.h:
	* libnotify/Makefile.am:
	* libnotify/notify.c:
	* libnotify/notify.h:
	  - Do some rearranging of the files in libnotify, and include things
	    properly so people can actually use the library without fudging with
	    include paths.

Thu Jan 19 21:56:29 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libnotify/Makefile.am:
	D libnotify/dbus-compat.h:
	* libnotify/notify.c:
	  - Get rid of dbus-compat.h.

Thu Jan 19 21:55:08 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libnotify/dbus-compat.h:
	* libnotify/notify.c:
	* libnotify/notifycommon.h:
	* libnotify/notify.h:
	* libnotify/notifynotification.c:
	* libnotify/notifynotification.h:
	  - Fixed the coding style.

Thu Jan 19 01:34:57 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* tools/notify-send.c:
	  - Make notify-send work again when a body isn't specified.

Wed Jan 18 22:24:10 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libnotify/notifynotification.h:
	* tests/test-xy-stress.c:
	  - Remove the config.h include from notifynotification.h.

Sun Jan 15 17:52:39 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* docs/notification-spec.xml:
	* libnotify/notify.c:
	* libnotify/notify.h:
	* libnotify/notifynotification.c:
	* tests/Makefile.am:
	A tests/test-server-info.c:
	* tests/test-xy.c:
	  - Add back notify_get_server_info() and notify_get_server_caps().

Thu Jan 12 2006  John (J5) Palmieri <johnp@redhat.com>

	* libnotify/notifynotification.c (notify_notification_set_user_data):
	fix free function addition
	(notify_notification_get_user_data): added method for actually
	getting the user data (fd.o bug# 5418)
	- patches provided by Duarte Henriques 
	<duarte.henriques at gmail dot com>


Tue Jan 10 23:33:47 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* configure.ac:
	  - Require D-BUS 0.36+.

Tue Jan 10 22:55:35 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* tests/test-default-action.c:
	* tools/notify-send.c:
	  - Fix some C99 usage.

Tue Jan 10 16:20:27 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* libnotify/Makefile.am:
	  - Make sure marshal files actually get built

Mon Jan 09 11:13:15 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libnotify/Makefile.am:
	* libnotify/Makefile.in:
	A libnotify/notify-marshal.list:
	D libnotify/notifymarshal.c:
	D libnotify/notifymarshal.h:
	* libnotify/notifynotification.c:
	* configure.ac:
	  - Generate the marshal files automatically. We shouldn't be doing it
	    by hand.

Mon Jan 09 10:15:57 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libnotify/Makefile.in:
	* libnotify/notify.c:
	* libnotify/notifynotification.c:
	* tests/test-default-action.c:
	* tests/test-image.c:
	* tests/test-multi-actions.c:
	* tests/test-replace-widget.c:
	* tests/test-xy-stress.c:
	  - Clean up lots of warnings.

========================= 0.3.0 =========================

Tue Dec 13 2005  John (J5) Palmieri <johnp@redhat.com>
	
	* Release 0.3.0 

	* tests/Makefile.am, tools/Makefile.am: patch from Rodney
	Dawes <dobey at novell.com> fixing make distcheck

	* tools/notify-send.c: use show_and_forget

Fri Dec 09 2005  John (J5) Palmieri <johnp@redhat.com>

	* libnotify/notifymarshal.[c|h]: new files where GLib callback
	marshalers are added

	* libnotify/notifynotification.c (notify_notifiaction_init): Add a 
	marshaller for signals with uint, string parameters
	(_gslist_to_string_array): new internal method that coverts
	a GSList to a NULL terminated array of strings
	(_notify_notification_show_internal): send the actions list as an
	array of strings, not a GSList which does not work with the bindings
	
	* libnotify/Makefile.am: notifymarshal.[c|h] added

	* tests/test-multi-actions.c: working example of using actions
	

Fri Dec 02 2005  John (J5) Palmieri <johnp@redhat.com>

	* libnotify/notifynotification.c (notify_notification_add_action):
	implement adding actions
	(_action_signal_handler): handle actions coming from the server
	(notify_notifcation_clear_actions): new method for clearning out
	the actions list and hash

Fri Dec 02 2005  John (J5) Palmieri <johnp@redhat.com>

	* libnotify/notifynotification.c (notify_notification_show_and_forget):
	new method that shows and then unrefs the NotifyNotification object.
	use this if you just want to fire off a quick notification.

	* various compiler warning cleanups

Fri Dec 02 2005  John (J5) Palmieri <johnp@redhat.com>

	* libnotify/notifynotification.c (SIGNAL_TYPE_CLOSED): "closed" glib
	signal added
	(notify_notification_clear_hints): New API for clearing out the 
	hints hash
	(notify_notification_ref, notify_notification_unref): removed - use
	g_object_ref/unref

	* tests/*: Various changes to the test binaries

Thu Nov 10 14:00:00 EST 2005  John (J5) Palmieri <johnp@redhat.com>

	* Complete rewrite and first import to libnotify-ng module in SVN

Mon Jul 04 02:13:56 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* tests/Makefile.am:
	* tests/test-markup.c:
	A tests/test-xy-stress.c:
	* configure.ac:
	  - Conditionally build gdk-dependent test apps if we have gdk.
	  - Added a X, Y stress test that will be used to help test
	    accurately positioning the arrows.

Thu Jun 30 21:09:18 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* tests/Makefile.am:
	  - Don't install the test programs during make install.

Thu Jun 30 21:03:30 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libnotify/notify.c:
	* libnotify/notify.h:
	* tests/test-animation.c:
	* tests/test-basic.c:
	* tests/test-default-action.c:
	* tests/test-error.c:
	* tests/test-image.c:
	* tests/test-markup.c:
	* tests/test-multi-actions.c:
	* tests/test-replace.c:
	* tools/notify-send.c:
	  - Added support for hints in the API.

Mon Jun 20 06:13:02 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.c:
	  - Be a little better at not crashing. Just a bit better. There's
	    still another crash I'm trying to track down.

Mon Jun 20 04:53:29 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.c:
	  - Close the right container in D-BUS 0.3x.

Mon Jun 20 02:49:27 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/Makefile.am:
	A libnotify/dbus-compat.h:
	  - Add dbus-compat.h.

Mon Jun 20 02:43:26 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.c:
	* configure.ac:
	  - Add support for compiling under D-BUS 0.3x. Actually running
	    has not yet been tested!

Fri Apr 01 09:21:26 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.c:
	  - Updated to work with 0.6 of the notification spec.

Sat Nov 06 15:40:48 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.h:
	  - Move our TODO list to the Doxygen @todo commands, so we'll get it
	    in a nice little page of its own in the API docs.

Sat Nov 06 15:35:52 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.h:
	  - Move the emacs mode string out of the Doxygen comment and into its
	    own.

Sat Nov 06 15:11:53 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.h:
	A Doxyfile.in:
	* Makefile.am:
	* configure.ac:
	  - Add a Doxyfile.in and update things so we can get doxygen
	    docs.

Wed Nov 03 23:39:23 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.c:
	  - Use glib's memory allocation stuff instead of libc's.

Wed Nov 03 23:34:10 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.c:
	* libnotify/notify.h:
	* tests/test-animation.c:
	* tests/test-image.c:
	  - Patch from Mike Hearn to do a bunch of stuff, like handling icons
	    and animations better.

Wed Nov 03 01:19:42 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* configure.ac:
	A libnotify.spec.in:
	  - Fix make distcheck.

Wed Sep 29 22:34:03 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.c:
	* tools/notify-send.c:
	  - Don't flush the D-BUS connection, and make sure we disconnect from it.

Wed Sep 29 21:53:15 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.c:
	* libnotify/notify.h:
	* tests/test-animation.c:
	* tests/test-basic.c:
	* tests/test-default-action.c:
	* tests/test-error.c:
	* tests/test-image.c:
	* tests/test-markup.c:
	* tests/test-multi-actions.c:
	* tests/test-replace.c:
	* tools/notify-send.c:
	  - Updated to match the spec.

Sat Sep 25 12:59:26 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.c:
	* tests/test-animation.c:
	* tests/test-default-action.c:
	  - Fixed to compile.

Wed Sep 01 00:39:23 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* docs/ChangeLog:
	* SPECIFICATION:
	  - Moved specification documentation.
	  - Moved specification ChangeLog.

Wed Sep 01 00:30:53 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* docs/notification-spec.xml:
	  - Finishing adding the rest of the signals to the spec.

Sun Aug 29 22:27:42 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	A docs/notification-spec.ps:
	A docs/notification-spec.xml:
	  - Added the notification spec in docbook format. It's not finished.
	    I'm just tired of working on it.

Wed Jul 14 02:11:48 GMT 2004  Mike Hearn  <mike@navi.cx>
	* libnotify/notify.c: Use pointers instead of GINT_TO_POINTER
	* tools/test-replace.c: Test replacing notifications

Tue Jul 13 23:58:54 GMT 2004  Mike Hearn  <mike@navi.cx>
	* SPECIFICATION: CloseNotification sends NotificationClosed signal.

Mon Jul  5 00:12:03 GMT 2004  Mike Hearn  <mike@navi.cx>
	* tools/notify-send.c (main): Treat expiry times < current time
	  as timeouts from current instant

Sun Jul  4 22:54:44 GMT 2004  Mike Hearn  <mike@navi.cx>
	* libnotify/notify.c: Use a direct hash rather than an int hash

Sun Jul 04 14:32:46 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.c:
	  - Don't make IDs of 0 bad. They just want to be loved, too.

Sun Jul 04 14:08:59 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.c:
	* libnotify/notify.h:
	* tools/notify-send.c:
	* SPECIFICATION:
	  - Changed timeouts to expire times.
	  - Install notify-send.

Sun Jul 04 13:46:32 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* tools/notify-send.c:
	  - Don't initialize the library until we're ready to talk to it.

Sun Jul 04 13:34:14 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.c:
	* SPECIFICATION:
	  - Added the urgency level to the spec, and made it a byte.

Sun Jul 04 13:28:51 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	A tools/:
	R tests/:
	* Makefile.am:
	* configure.ac:
	  - Renamed tests to tools.

Sun Jul 04 13:28:00 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* tests/Makefile.am:
	A tests/notify-send.c:
	  - Added the notify-send tool.

Sat Jul 03 12:35:35 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.c:
	* libnotify/notify.h:
	  - Added support for GetCapabilities.

Sat Jul 03 12:27:58 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.c:
	* libnotify/notify.h:
	  - Add support for GetServerInformation.

Sat Jul 03 12:21:05 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.c:
	  - Remove the application info sent on calls to Notify for now,
	    until/if something gets added to the spec about it.

Sat Jul 03 12:14:48 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.c:
	* libnotify/notify.h:
	  - Removed the last of the request implementation.
	  - More work toward migrating the code to the specification.
	  - Simplified the action implementation a little bit.

Sat Jul 03 11:26:03 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.c:
	* libnotify/notify.h:
	  - Cleaned up some things and updated some stuff to be compliant with
	    the spec. More will come soon.

Thu Jul  1 23:46:28 GMT 2004  Mike Hearn  <mike@navi.cx>
	* SPECIFICATION: Add info on icons/sounds, add some
	  protocol requests. Change "buttons" in the overview to "actions".

Wed Jun 30 14:03:51 GMT 2004  Mike Hearn  <mike@navi.cx>
	* SPECIFICATION: Initial version

Wed Jun 30 13:28:18 GMT 2004  Mike Hearn  <mike@navi.cx>
	* libnotify/notify.[ch]: Add file variables for emacs to match
	  the settings Christian is using.

Wed Jun 30 02:53:36 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.c:
	  - Free up the handle memory for a closed notification.

Tue Jun 29 19:33:43 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.c:
	* libnotify/notify.h:
	  - Due to the new icon struct, a lot of redundant functions have now
	    been removed.

Tue Jun 29 19:26:58 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.c:
	* libnotify/notify.h:
	  - Added a NotifyIcon struct and the beginnings of the API.

Tue Jun 29 18:49:38 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.c:
	* libnotify/notify.h:
	  - Replaced the guint32 ID numbers that were passed around to represent
	    notifications and requests and replaced them with an opaque data
	    structure that abstracts that and other stuff.

Tue Jun 29 18:21:05 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.c:
	  - Changed 8 space to 4 space tabs.

Tue Jun 29 14:49:51 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.c:
	  - Patch by Mike Hearn to add a print_error() function for dumping
	    extra info when we have an error.

Sun Jun 27 21:50:33 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* configure.ac:
	  - Pass 0.0.1 as the version number to AC_INIT().

Sun Jun 27 21:39:13 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.c:
	  - Added support for the NotificationClosed and RequestClosed signals,
	    along with request callbacks. I wonder if any of this works.

Sun Jun 27 20:23:00 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.c:
	  - Keep track of request IDs so that we can do callback stuff in a bit.

Sun Jun 27 20:02:09 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.c:
	  - Send the list of button texts as a string array, rather than appending
	    each one individually.

Sun Jun 27 18:30:19 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.c:
	* libnotify/notify.h:
	  - Split notify_close() into notify_close_notification() and
	    notify_close_request().
	  - Implement notify_send_request() and
	    notify_send_request_with_icon_data(), and add versions of those
	    functions that take a va_list for the buttons.

Sun Jun 27 16:46:32 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.c:
	  - Added a utility function for doing most of the D-BUS message
	    creation.
	  - Implemented notify_close_notification() and notify_close_request().

Sun Jun 27 16:38:42 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.c:
	  - Make sure we include our config.h if we have one.

Sun Jun 27 16:37:30 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libnotify/notify.c:
	* libnotify/notify.h:
	  - Added the initial header file and connection code.

